%define shortname	torrent-rasterbar
%define major		7
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	0.16.6
%define subrel 1
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		libtorrent-rasterbar-0.16.2-link.patch
Patch1:		libtorrent-rasterbar-0.16.2-pkgconfig.patch
Patch2:		libtorrent-rasterbar-0.16.4-sovers.patch
Patch3:		libtorrent-rasterbar-0.16.6-sovers.patch
Patch4:		libtorrent-rasterbar-0.16.6-upnp_ssl.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python)
BuildRequires:	geoip-devel

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
%{py_requires}
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch3 -p1 -b .sover
%patch4 -p1 -b .upnp_ssl

%build
%configure2_5x --disable-static \
	--enable-python-binding \
	--with-zlib=system \
	--with-libgeoip=system \
	--with-boost-libdir=%{_libdir} \
	--enable-encryption \
	--enable-dht
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info


%changelog
* Sun Aug 31 2014 matteo <matteo> 0.16.6-2.1.mga3
+ Revision: 670205
- added missing subrel
- added patch to fix upnp port 0 causing all ports to be opened (fix bug mga#13582)

* Thu Apr 11 2013 barjac <barjac> 0.16.6-2.mga3
+ Revision: 409677
- rebuild for boost-1.53

* Sun Jan 13 2013 matteo <matteo> 0.16.6-1.mga3
+ Revision: 362527
- new stable version

* Sat Jan 12 2013 umeabot <umeabot> 0.16.4-3.mga3
+ Revision: 358272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.16.4-2.mga3
+ Revision: 332965
- rebuild for new boost

* Sat Oct 06 2012 matteo <matteo> 0.16.4-1.mga3
+ Revision: 302974
- new version
- rediff sovers patch

* Sun Sep 02 2012 fwang <fwang> 0.16.3-1.mga3
+ Revision: 287248
- rediff sover patch
- new version 0.16.3

* Tue Jul 31 2012 fwang <fwang> 0.16.2-1.mga3
+ Revision: 276546
- specify boost libdir
- use autotools to build
- various cmake patch
- fix linkage
- fix linkage
- bump req
- new version 0.16.2
- let system detect boost
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.15.9-3.mga3
+ Revision: 249718
- rebuild for new boost

  + ovitters <ovitters>
    - rebuild due to new boost

* Mon Dec 05 2011 fwang <fwang> 0.15.9-1.mga2
+ Revision: 176764
- new version 0.15.9

* Mon Nov 28 2011 fwang <fwang> 0.15.8-2.mga2
+ Revision: 173524
- rebuild for new boost

* Sun Oct 02 2011 fwang <fwang> 0.15.8-1.mga2
+ Revision: 150825
- new version 0.15.8
- rebuild for new boost

  + ahmad <ahmad>
    - Update to 0.15.7
    - Change the BR to pkgconfig BR style
    - Don't ship .la
    - Replace libgeoip-devel with geoip-devel

* Wed Jun 22 2011 fwang <fwang> 0.15.6-2.mga2
+ Revision: 111905
- rebuild for new boost

* Sat Apr 16 2011 ahmad <ahmad> 0.15.6-1.mga1
+ Revision: 86826
- update to 0.15.6

* Tue Jan 18 2011 pterjan <pterjan> 0.15.5-2.mga1
+ Revision: 21835
- Rebuild for python 2.7

* Sun Jan 16 2011 ahmad <ahmad> 0.15.5-1.mga1
+ Revision: 19964
- update to 0.15.5

* Sun Jan 16 2011 ahmad <ahmad> 0.15.4-3.mga1
+ Revision: 19942
- clean spec and drop old/unneeded scriptlets
- imported package libtorrent-rasterbar

